
man_fastload_init_ .proc
                #sta_cfg_open
		jsr OP_save_zeropage
                #sta_cfg_16
                
                lsr next_sector

                jsr ee
                bne ajj
                jsr ee
                bne ajj

		ldx selectedwin+1
		ldy man_drive,x

		.if (JIFFYDOS_ACCEL=0) & (SUPERCPU=0)
                lda JiffyDos_present_exp
                beq wr
                .fi

		bit Jiffyflag
                .if SUPERCPU=1
                bpl wr
                bvs wr
                .else
		bvc wr
                .fi
		jsr iecuntalk

		tya
		jsr iectalk
		lda #$61
		jsr iectksa
                .if (SUPERCPU=1) | (JIFFYDOS_ACCEL=0)
                sec
                ror next_sector
                .else
		asl Jiffyflag  		;fastload!
                .fi
                #jmps uk

wr		jsr newclrchn_t
		jsr fastloadinit

uk

                lda next_sector
                .if (JIFFYDOS_ACCEL=1) & (SUPERCPU=0)
		ora Jiffyflag
                .fi
                and #$80
                sta man_fast
ajj
                #sta_cfg_open
		jsr OP_restore_zeropage
                #sta_cfg_16
                rts
                
ee              jsr iecin
                ldy man_offs
                sta (m_p1),y
                inc man_offs
                lda Status
		rts
                .pend
;--------------------------
man_fastload_	.proc
		sei
		.if SUPERCPU=1
                sta scpu_system_1mhz_start
                .fi
		lda $dd00
		and #7
		sta Status
		ora #$20
		tax
		
                lda man_fast
                lsr
                ldy #0
                bcs mmc
                inc man_fast
                ldy #2
		gne tkm

nw	       
tkm
		lda Status
		sta $dd00
		bit $dd00
		bvc *-3
		bpl msc
		ldx #$64
kkw		bit $dd00
		bvc eof
		dex
		bne kkw
		lda #$42
		.byte SKIP2
eof		lda #$40
		sta Status
		ldx #10
                dex
                bne *-1
		.if SUPERCPU=1
                sta scpu_system_1mhz_exit
                .fi
                cli
                rts				;exit

msc		bit $dd00
		bpl *-3

mmc		
mjj		sec
mc		lda $d012
		sbc #$32
		bcc mcx
		and #7
		beq mc
mcx		lda Status
		stx $dd00
		bit $dd00
		bvc nw
		nop
		sta $dd00
		ora $dd00
		lsr
		lsr
		nop
		ora $dd00
		lsr
		lsr
		eor Status
		eor $dd00
		lsr
		lsr
		eor Status
		eor $dd00
		nop
		nop
		sta (m_p1),y
		iny
		bne mjj                
		inc m_p1+1
                lda m_p1+1
                and #$1f
		bne mmc
                sta Status
		.if SUPERCPU=1
                sta scpu_system_1mhz_exit
                .fi
                cli
                rts

		.pend
;-----------------------------------
man_fastsave_init_ .proc
                #sta_cfg_open
		jsr OP_save_zeropage
                #sta_cfg_16
                
                lsr next_sector

		ldx selectedwin
		ldy man_drive,x

		jsr fastsaveinit

                lda next_sector
                and #$80
                sta man_fast2

                #sta_cfg_open
		jsr OP_restore_zeropage
                #sta_cfg_16
                rts
                .pend
;-----------------------------------
man_fastsave_	.proc
		sei
		.if SUPERCPU=1
                sta scpu_system_1mhz_start
                .fi
		sec

tu      	lda #254
                sta $98
		adc m_ascii
                sta m_ascii
                #lda0
                adc m_ascii+1
                sta m_ascii+1
                bcc ko

                tsx
                #sbx_a 256-5
                lda $100,x
		beq ko

                lda m_ascii
                eor #255
                sta $98
                dec $98
                .byte SKIPLDA0
ko              #lda0
                jsr sendbyte
                ldy #0
nx              lda (m_p1),y
                jsr sendbyte
                bcc nx
                lda m_ascii+1
                beq end
                tya
                clc
                adc m_p1
                sta m_p1
                bcc tu
                clc
                inc m_p1+1
                gne tu

end		
		.if SUPERCPU=1
                sta scpu_system_1mhz_exit
                .fi
		cli
		rts

;-------------------------------------posle bajt turbem do drajvu
sendbyte        pha
                lsr
                lsr
                lsr
                lsr
                tax
                sec
                bit $dd00
                bvc *-3
                .page
iw              lda $d012
		sbc #$32
                bcc kk
                and #$07
                beq iw
kk              
		.endp
		lda #$07
                sta $dd00
                lda tr,x
                nop
                nop
                sta $dd00
                lsr
                lsr
                and #$f7
                sta $dd00
                pla
                and #$0f
                tax
                lda tr,x
                sta $dd00
                lsr
                lsr
                and #$f7
                sta $dd00
                lda #$27
                iny
                cpy $98
                sta $dd00
                rts

 		.page
tr              .byte $07,$87,$27,$a7,$47,$c7,$67,$e7
                .byte $17,$97,$37,$b7,$57,$d7,$77,$f7
                .endp

		.pend
